from flask import Flask, render_template
from flask.ext.babel import Babel, format_datetime, format_number, format_decimal, format_currency
from flask.ext.babel import gettext, ngettext
from datetime import datetime

babel = Babel()

app = Flask(__name__)
app.config.update(
    DEBUG=True,
)

babel.init_app(app)

@babel.localeselector
def get_locale():
    return 'zh'

@babel.timezoneselector
def get_timezone():
    return 'UTC'

@app.route('/')
def index():
    return render_template('hello.html')

@app.route('/trans')
@app.route('/trans/<int:num>')
def translate(num=None):
    if num is None:
        return gettext(u'No users')
    return ngettext(u'%(num)d user', u'%(num)d users', num)

@app.route('/now')
def current_time():
    return format_datetime(datetime.now(), 'short')

@app.route('/num')
def get_num():
    return format_decimal(1234567.89)

@app.route('/currency')
def currency():
    return format_currency(1234.5, 'CNY')

if __name__ == '__main__':
    app.run(host='0.0.0.0')